Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class ResultSetIterator

    java.lang.Object
      |
      +--com.beasys.commerce.util.ResultSetIterator

public class ResultSetIterator
extends java.lang.Object
implements java.util.Iterator

Implements the java.util.Iterator interface for a JDBC ResultSet. A more interesting (and useful) interface would implement the java.util.ListIterator interface

Field Summary
`static int` | `BELONGING_TYPE`
`static int` | `EJB_PK_TYPE`

Constructor Summary
`ResultSetIterator(java.lang.String resultClassName, int resultClassType, java.util.Vector fieldMap, java.sql.PreparedStatement preparedStatement, java.sql.ResultSet resultSet)`

Method Summary
`boolean` | `hasNext()`
`java.lang.Object` | `next()` Returns the next element in the interation.
`void` | `remove()` This operation is unsupported

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BELONGING_TYPE

    public static final int BELONGING_TYPE

### EJB_PK_TYPE

    public static final int EJB_PK_TYPE

Constructor Detail

### ResultSetIterator

    public ResultSetIterator(java.lang.String resultClassName,
                             int resultClassType,
                             java.util.Vector fieldMap,
                             java.sql.PreparedStatement preparedStatement,
                             java.sql.ResultSet resultSet)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    hasNext in interface java.util.Iterator

### next

    public java.lang.Object next()

  Returns the next element in the interation.
  Specified by:
    next in interface java.util.Iterator

### remove

    public void remove()

  This operation is unsupported
  Specified by:
    remove in interface java.util.Iterator

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved